#!/usr/bin/env bash

set -exou pipefail

# THIS SERVICE DEPDENDS ON WALTZ TO WORK!
# We must wait on the same conditions as waltz in order to start otherwise we might fail and spew errors if
# we get a service list switch request on system startup.

# Wait until FQDN of host is resolvable; otherwise service won't start
# This is used mainly in EAP where there is a delay between reboot and DNS registration for our hostname
# being available
while true; do
    check_dns_fqdn_resolution=$(nslookup ${HOSTNAME} | grep "Name:")
    re='Name.*'${HOSTNAME}'.*'
    if [[ ${check_dns_fqdn_resolution} =~ ${re} ]]; then
        break
    else
        sleep 10
    fi
done

# Start service manager passing the 'servicelist' option. This option triggers a service list update.
# Use 1.33 docker API version to be compatible with the version of docker used in Ubuntu 16.04. Docker
# API version lesser
DOCKER_API_VERSION=1.27 /ap/app/servicemanager/servicemanager servicelist

